import { ChunkId, Table } from "../interface";
import { Row } from "../row";
export interface StoreContract {
    chunkId: ChunkId;
    table: Table;
    rows: Row[];
}
export declare abstract class DataTracker {
    abstract store(storeContract: StoreContract): Promise<void>;
    abstract getRowCount(chunkId: ChunkId): Promise<number>;
    abstract restore(chunkId: ChunkId): Promise<StoreContract>;
}
