import { DataTracker, StoreContract } from "./abstract";
import { ChunkId } from "../interface";
export declare class ProcessDataTracker extends DataTracker {
    #private;
    constructor();
    private onUnblock;
    getRowCount(chunkId: ChunkId): Promise<number>;
    store(storeContract: StoreContract): Promise<void>;
    restore(chunkId: ChunkId): Promise<StoreContract>;
}
